netdev_state_change
Prev | Driver Support | Next

## Name

netdev_state_change — device changes state

## Synopsis

`void netdev_state_change (` | struct net_device * | dev`)`;

## Arguments

`dev`

  device to cause notification

## Description

Called to indicate a device has changed state. This function calls the notifier chains for netdev_chain and sends a NEWLINK message to the routing socket.

Prev | Up | Next
netdev_features_change | Home | dev_load